OpenMPI 0.1.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

Functions
Nodeset Helpers

## Functions
static __hwloc_inline hwloc_const_nodeset_t __hwloc_attribute_pure | hwloc_topology_get_complete_nodeset (hwloc_topology_t topology)
| Get complete node set. More...
static __hwloc_inline hwloc_const_nodeset_t __hwloc_attribute_pure | hwloc_topology_get_topology_nodeset (hwloc_topology_t topology)
| Get topology node set. More...
static __hwloc_inline hwloc_const_nodeset_t __hwloc_attribute_pure | hwloc_topology_get_allowed_nodeset (hwloc_topology_t topology)
| Get allowed node set. More...

## Detailed Description

## Function Documentation

static __hwloc_inline hwloc_const_nodeset_t __hwloc_attribute_pure hwloc_topology_get_allowed_nodeset | ( | hwloc_topology_t | topology | ) |
| static

Get allowed node set.

Returns
  the node set of allowed memory of the system. If the topology is the result of a combination of several systems, NULL is returned.

Note
  The returned nodeset is not newly allocated and should thus not be changed or freed, hwloc_nodeset_dup must be used to obtain a local copy.

References hwloc_obj::allowed_nodeset, and hwloc_get_root_obj().

static __hwloc_inline hwloc_const_nodeset_t __hwloc_attribute_pure hwloc_topology_get_complete_nodeset | ( | hwloc_topology_t | topology | ) |
| static

Get complete node set.

Returns
  the complete node set of memory of the system. If the topology is the result of a combination of several systems, NULL is returned.

Note
  The returned nodeset is not newly allocated and should thus not be changed or freed; hwloc_nodeset_dup must be used to obtain a local copy.

References hwloc_obj::complete_nodeset, and hwloc_get_root_obj().

static __hwloc_inline hwloc_const_nodeset_t __hwloc_attribute_pure hwloc_topology_get_topology_nodeset | ( | hwloc_topology_t | topology | ) |
| static

Get topology node set.

Returns
  the node set of memory of the system for which hwloc provides topology information. This is equivalent to the nodeset of the system object. If the topology is the result of a combination of several systems, NULL is returned.

Note
  The returned nodeset is not newly allocated and should thus not be changed or freed; hwloc_nodeset_dup must be used to obtain a local copy.

References hwloc_get_root_obj(), and hwloc_obj::nodeset.